.checkbox {
  display: inline-block;
  position: relative;
  margin: 0 0 20px;
  font-size: 16px;
  line-height: 24px;
}
.checkbox__input {
  position: absolute;
  top: 4px;
  left: 0;
  width: 12px;
  height: 12px;
  opacity: 0;
  z-index: 0;
}
.checkbox__label {
  display: block;
  padding: 0 0 0 20px;
  cursor: pointer;
  width: 100%;
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
}
.checkbox__label:before {
  content: "";
  position: absolute;
  top: 4px;
  left: 0;
  width: 12px;
  height: 12px;
  background-color: transparent;
  border: 2px solid rgba(0, 0, 0, 0.54);
  border-radius: 2px;
  z-index: 1;
  transition: all 0.28s cubic-bezier(0.4, 0, 0.2, 1);
  transition-property: background-color, border-color;
}
.checkbox__label:after {
  content: "";
  position: absolute;
  top: 6px;
  left: 5px;
  width: 4px;
  height: 8px;
  border-bottom: 2px solid transparent;
  border-right: 2px solid transparent;
  -webkit-transform: rotate(45deg);
          transform: rotate(45deg);
  z-index: 2;
  transition: border-color 0.28s cubic-bezier(0.4, 0, 0.2, 1);
}
.checkbox__input:checked + .checkbox__label:before {
  background-color: rgb(10, 150, 66);
  border-color: rgb(10, 150, 66);
}
.checkbox__input:checked + .checkbox__label:after {
  border-color: #fff;
}
.mdl-textfield::placeholder{
  color:#000;
}


.checkbox__label-chip:before{
content: "";
    position: absolute;
    top: -6px;
    left: -19px;
    width: 34px;
    height: 34px;
    background-color: #999;
    /* border: 2px solid rgba(0, 0, 0, 0.54); */
    border-radius: 16px;
    z-index: 1;
    transition: all 0.28s cubic-bezier(0.4, 0, 0.2, 1);
    transition-property: background-color, border-color;
}


.checkbox__input-chip{
  position: absolute;
  top: -7px;
  left: -22px;
  width: 32px;
  height: 32px;
  opacity: 0;
  z-index: 0;
}


.checkbox__input-chip:checked + .checkbox__label-chip:after {
  border-color: #fff;
}
.checkbox__input-chip:checked + .checkbox__label-chip:before{
  background-color: rgb(20, 178, 83);
}

.checkbox__label-chip:after {
  content: "";
  position: absolute;
  top: 4px;
  left: -5.5px;
  width: 6px;
  height: 10px;
  border-bottom: 2px solid transparent;
  border-right: 2px solid transparent;
  -webkit-transform: rotate(45deg);
          transform: rotate(45deg);
  z-index: 2;
  transition: border-color 0.28s cubic-bezier(0.4, 0, 0.2, 1);
}
.mdl-button--accent.mdl-button--accent.mdl-button--raised, .mdl-button--accent.mdl-button--accent.mdl-button--fab{
  background-color: rgb(20, 178, 83);
}
.mdl-tabs.is-upgraded .mdl-tabs__tab.is-active:after{
  background: rgb(20, 178, 83);
}
.mdl-radio__inner-circle{
  background: rgb(20, 178, 83);
}

.filterTableColumnContainer{
  display: block;
  width: 240px;
  position: absolute;
  margin: 0px 0px 0px 0px;
  height: 0px;
  box-sizing: border-box;
  left: 0;
  right: 0;
  background-color: #FFF;
  z-index: 2;
  transition-duration: .25s;
  overflow-y: auto;
  padding: 0;
  
}
.filterTableColumnContainer.show{
  height: 381px;
  padding: 8px 0;
  box-shadow: 0 2px 2px 0 rgba(0,0,0,.14), 0 3px 1px -2px rgba(0,0,0,.2), 0 1px 5px 0 rgba(0,0,0,.12);
}

.filterContListContainer{
  box-sizing: border-box;
  height: calc(100% - 70px);
}
.filterContSearchContainer{
  width: 100%;
  height: auto;
  display: flex;
  padding: 8px 0px;
  border-bottom: 1px solid #eee;
}
.filterContSearchContainerInput{
  width: 90%;
  margin-left: 5%;
  padding: 4px 8px;
  border-radius: 4px;
  border: 1px solid #c5c5c5;
  box-sizing: border-box;
}
.filterContValueSelector{
  min-width: 100%;
  padding: 4px 8px;
  border-radius: 4px;
  border: 1px solid #c5c5c5;
  box-sizing: border-box;
}
.option.filterCheckbox{
  width: 100%;
}
.fliterActions{
  justify-content: space-around;
  margin-top: 16px;
  border-top: 1px solid #eee;
}
.checkbox.filterCheckbox{
  margin: 0px;
  width: 100%;
}
.mdl-list__item.filterCheckbox:hover{
    background-color: #f7f7f7;
}
.page-content-right-body.col-small .mdl-grid .mdl-cell{
  width: calc(100% - 16px);
}
.filterContValueSelector{
  min-width: 100%;
  padding: 4px 8px;
  border-radius: 4px;
  border: 1px solid #c5c5c5;
  box-sizing: border-box;
}
.fliterActions{
  justify-content: space-around;
  margin-top: 16px;
  border-top: 1px solid #eee;
}
.checkbox.filterCheckbox{
  margin: 0px;
}
.mdl-list__item.input{
  flex-direction:column;
}
.mdl-list__item.input p {
  text-align: left;
  width: 100%;
  margin-bottom: 8px;
}
.multiselectSearchField{
  font-size: 16px;
  padding: 0px;
  color: rgba(0,0,0,.86);
  width: auto;
  border: none;
  height: auto;
  line-height: 26px;
}
.multiselectSearchField:focus{
  outline:none;
}
.multiselectSearchContainer{
  width: 100%;
  max-height: 350px;
  background-color: #fff;
  position: absolute;
  margin-top: 28px;
  z-index: 1;
  overflow: auto;
  display: none;
  top: 0;
  left: 0;
}

.page-content-right-body.col-medium .mdl-grid .mdl-cell--1-col{
  width: calc(12.5% - 16px);
}
.page-content-right-body.col-medium .mdl-grid .mdl-cell--2-col{
  width: calc(25% - 16px);
}
.page-content-right-body.col-medium .mdl-grid .mdl-cell--3-col{
  width: calc(37.5% - 16px);
}
.page-content-right-body.col-medium .mdl-grid .mdl-cell--4-col{
  width: calc(50% - 16px);
}
.page-content-right-body.col-medium .mdl-grid .mdl-cell--5-col{
  width: calc(62.5% - 16px);
}
.page-content-right-body.col-medium .mdl-grid .mdl-cell--6-col{
  width: calc(75% - 16px);
}
.page-content-right-body.col-medium .mdl-grid .mdl-cell--7-col{
  width: calc(87.5% - 16px);
}
.page-content-right-body.col-medium .mdl-grid .mdl-cell--8-col{
  width: calc(100% - 16px);
}
.page-content-right-body.col-medium .mdl-grid .mdl-cell--9-col{
  width: calc(100% - 16px);
}
.page-content-right-body.col-medium .mdl-grid .mdl-cell--10-col{
  width: calc(100% - 16px);
}
.page-content-right-body.col-medium .mdl-grid .mdl-cell--11-col{
  width: calc(100% - 16px);
}
.page-content-right-body.col-medium .mdl-grid .mdl-cell--12-col{
  width: calc(100% - 16px);
}
.mdl-button--accent.mdl-button--accent {
    color: rgb(20, 178, 83);
}
.demo-card-image{
  height: 100%;
  min-height: 256px;
  background: url(/media/baseline_add_photo_alternate_green_48dp.png) center;
  background-repeat: no-repeat;
}
.demo-card-image .mdl-card__actions{
  height: 52px;
  padding: 16px;
  background: rgba(0, 0, 0, 0.3);
  display: flex;
  box-sizing: border-box;
  align-items: center;
  color: #FFF;
}

.mdl-data-table__cell--non-numeric .checkbox{
  display: block;
}
.leftContainerExtraBtns .mdl-button.mdl-js-button.mdl-button--primary{
  height: 32px;
  line-height: 32px;
  margin: 0px 10px;
  padding: 0 4px;
}
.mdl-button.mdl-js-button.mdl-button--primary .material-icons{
  margin-right: 8px;
  font-size: 22px;
}



/*
.leftContainerExtraBtns .mdl-button mdl-js-button.mdl-button--primary{
  height: 32px;
  line-height: 32px;
}
*/
